# osg::ShapeVisitor Class Reference

List of all members.

## Public Member Functions

| ShapeVisitor ()
virtual void | apply (Sphere &)
virtual void | apply (Box &)
virtual void | apply (Cone &)
virtual void | apply (Cylinder &)
virtual void | apply (Capsule &)
virtual void | apply (InfinitePlane &)
virtual void | apply (TriangleMesh &)
virtual void | apply (ConvexHull &)
virtual void | apply (HeightField &)
virtual void | apply (CompositeShape &)

## Constructor & Destructor Documentation

osg::ShapeVisitor::ShapeVisitor | ( |  | ) | `[inline]`

## Member Function Documentation

virtual void osg::ShapeVisitor::apply | ( | CompositeShape & |  | ) | `[inline, virtual]`

virtual void osg::ShapeVisitor::apply | ( | HeightField & |  | ) | `[inline, virtual]`

virtual void osg::ShapeVisitor::apply | ( | ConvexHull & |  | ) | `[inline, virtual]`

virtual void osg::ShapeVisitor::apply | ( | TriangleMesh & |  | ) | `[inline, virtual]`

virtual void osg::ShapeVisitor::apply | ( | InfinitePlane & |  | ) | `[inline, virtual]`

virtual void osg::ShapeVisitor::apply | ( | Capsule & |  | ) | `[inline, virtual]`

virtual void osg::ShapeVisitor::apply | ( | Cylinder & |  | ) | `[inline, virtual]`

virtual void osg::ShapeVisitor::apply | ( | Cone & |  | ) | `[inline, virtual]`

virtual void osg::ShapeVisitor::apply | ( | Box & |  | ) | `[inline, virtual]`

virtual void osg::ShapeVisitor::apply | ( | Sphere & |  | ) | `[inline, virtual]`

The documentation for this class was generated from the following file:

- Shape